logging-log4j-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 43282] Add OSGi packaging info to log4j and companions
Date Tue, 27 Apr 2010 00:46:43 GMT
https://issues.apache.org/bugzilla/show_bug.cgi?id=43282

John Gibson <nojspam@losgibsons.us> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|RESOLVED                    |REOPENED
         Resolution|FIXED                       |

--- Comment #3 from John Gibson <nojspam@losgibsons.us> 2010-04-26 20:46:37 EDT ---
Unfortunately the new OSGi headers are broken, trying to install the Log4J
bundle in Equinox yields the following error:
org.osgi.framework.BundleException: Invalid manifest header Import-Package:
"com.sun.jdmk.comm;resolution:="optional"" : Cannot import a package more than
once "com.sun.jdmk.comm"

Examining the manifest confirms this and another problem in the Import-Package
header:
'com.sun.jdmk.comm;resolution:=optional' is specified twice
javax.jmdns is a required package, even though it isn't a standard JDK package.

I'm not sure if you wanted these exposed or not, but the Export-Package header
is missing these packages:
org.apache.log4j.lf5.*
org.apache.log4j.chainsaw

-- 
Configure bugmail: https://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: log4j-dev-unsubscribe@logging.apache.org
For additional commands, e-mail: log4j-dev-help@logging.apache.org


Mime
View raw message